Draft Text/tr: Difference between revisions

From FreeCAD Documentation
(Created page with "== Seçenekler ==")
(Created page with "* {{KEY | CTRL}} tuşuna basmak, hedefinizi uygun ek konumlara snap getirecektir. * Koordinatları manuel olarak girmek için sayıları girin, ardından her...")
Line 17: Line 17:
== Seçenekler ==
== Seçenekler ==


* Pressing {{KEY|CTRL}} will [[Draft_Snap|snap]] your point to available snap locations.
* {{KEY | CTRL}} tuşuna basmak, hedefinizi uygun ek konumlara [[Draft_Snap | snap]] getirecektir.
* Koordinatları manuel olarak girmek için sayıları girin, ardından her bir X, Y ve Z bileşeni arasında {{KEY | ENTER}} tuşuna basın.
* To enter coordinates manually, simply enter the numbers, then press {{KEY|ENTER}} between each X, Y and Z component.
* Pressing {{KEY|ESC}} will cancel the operation.
* {{KEY | ESC}} tuşuna basılması işlemi iptal edecektir.
* When editing the text, pressing {{KEY|ENTER}} or {{KEY|DOWN ARROW}} allow you to enter or edit a next line of text.
* Metni düzenlerken, {{KEY | ENTER}} veya {{KEY | DOWN ARROW}} tuşuna basarak bir sonraki metin satırına girmenize veya düzenlemenize izin verir.
* Pressing {{KEY|UP ARROW}} allows you to edit a previous line of text.
* {{KEY | UP ARROW}} tuşuna basılması, önceki bir metin satırını düzenlemenizi sağlar.
* Pressing {{KEY|ENTER}} '''twice''' (thus leaving the last line empty) adds the text to the document and closes the editor.
* {{KEY | ENTER}} '' '' iki kez '' '(bu nedenle son satırı boş bırakarak) tuşuna basarak metni belgeye ekler ve düzenleyiciyi kapatır.


==Properties==
==Properties==

Revision as of 12:58, 3 January 2019

Metin

Menü konumu
Taslak → Metin
Tezgahlar
Taslak, Yapı
Varsayılan kısayol
T E
Versiyonda tanıtıldı
-
Ayrıca bkz
Hiçbiri

Açıklama

Metin aracı, geçerli belgede belirli bir noktaya bir metin parçası ekler. Taslak araç çubuğunda Çizgi stili setini kullanır.

Katı metin şekilleri oluşturmak için Şekil dizesi ile Parça çıkarma kullanın.

Nasıl kullanılır

  1. Metin düğmesine basın veya T ve ardından E tuşlarına basın
  2. 3D görünümünde bir noktaya tıklayın veya bir Koordinat yazın
  3. İstediğiniz metni girin, her satırda ENTER tuşuna basın
  4. İşlemi tamamlamak için ENTER tuşuna iki kez basın.

Seçenekler

  • CTRL tuşuna basmak, hedefinizi uygun ek konumlara snap getirecektir.
  • Koordinatları manuel olarak girmek için sayıları girin, ardından her bir X, Y ve Z bileşeni arasında ENTER tuşuna basın.
  • ESC tuşuna basılması işlemi iptal edecektir.
  • Metni düzenlerken, ENTER veya DOWN ARROW tuşuna basarak bir sonraki metin satırına girmenize veya düzenlemenize izin verir.
  • UP ARROW tuşuna basılması, önceki bir metin satırını düzenlemenizi sağlar.
  • ENTER iki kez '(bu nedenle son satırı boş bırakarak) tuşuna basarak metni belgeye ekler ve düzenleyiciyi kapatır.

Properties

  • VeriPosition: The base point of the text block
  • VeriLabel Text: The contents of the text block
  • GörünümDisplay Mode: Specifies if the text is aligned to the scene axes or always faces the camera
  • GörünümFont Size: The size of the letters
  • GörünümJustification: Specifies if the text is aligned to the left, right or center of the base point.
  • GörünümLine Spacing: Specifies the space between lines of text
  • GörünümRotation: Specifies a rotation to be applied to the text
  • GörünümRotation Axis: Specifies the axis to use for the rotation
  • GörünümFont Name: The font to use to draw the text. It can be a font name, such as "Arial", a default style such as "sans", "serif" or "mono", or a family such as "Arial,Helvetica,sans" or a name with a style such as "Arial:Bold". If the given font is not found on the system, a generic one is used instead.

Scripting

The Text tool can by used in macros and from the python console by using the following function:

Text = makeText(stringlist, point=Vector(0,0,0), screen=False)
  • Creates a Text object, at the given point given by a FreeCAD.Vector
  • stringlist is a string, or a list of strings; if it's a list, each element is displayed in one line
  • The current Draft Linestyle specified in preferences are used
  • If screen is True, the text always faces the camera view direction, otherwise it lies on the XY plane

Example:

import FreeCAD, Draft
Draft.makeText("This is a sample text", FreeCAD.Vector(1,1,0))